%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20060918
%define hptzip_version 0.1.0
%define ver %husky_version
%define rel alt1.%husky_cvsdate

Name: hpt
Summary: Husky project tosser
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: %name.tar.bz2

Patch0: hpt-alt-txt2pkt.patch

BuildPreReq: huskybse = %husky_version-%release
BuildPreReq: libhusky-devel = %husky_version-%release
BuildPreReq: libsmapi-devel = %smapi_version-%release
BuildPreReq: libfidoconf-devel = %husky_version-%release
BuildPreReq: libareafix-devel = %husky_version-%release
BuildPreReq: libhptzip-devel = %hptzip_version-%release

BuildPreReq: perl-devel
BuildPreReq: zlib-devel

%description
Husky project tosser.

%description -l ru_RU.UTF-8
Эхопроцессор проекта Husky.

%prep
%setup -q -n hpt
%patch0 -p1

%build
%make_build DEBIAN=1

%install
%__mkdir_p %buildroot{%_bindir,%_datadir,%_mandir}
%make_install DEBIAN=1 PREFIX=%buildroot%_prefix install

%files
%doc BUGS CREDITS ChangeLog HISTORY TODO filter.pl
%doc config doc misc
%attr(750,ftn,ftn) %_bindir/*
%_man1dir/*

%changelog
* Mon Sep 18 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060918
- 20060901 -> 20060918

* Sat Sep 16 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060901
- convert spec to UTF-8
- 20050710 -> 20060901
- spec clean

* Sun Jul 31 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050710
- update from cvs snapshot 20050710
- add docs, configs and misc files

* Mon Jul 04 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050604
- update from cvs snapshot 20050604

* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040607
- Specfile rewritten from scratch
